package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuI18nResourcesInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractFeishuI18nResourcesInfo()
    {
        this("id");
    }
    protected AbstractFeishuI18nResourcesInfo(String pkField)
    {
        super(pkField);
        put("entrys", new FeishuI18nResourcesEntryCollection());
    }
    /**
     * Object:飞书多语言资源's 业务类型property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.BizTypeEnum getBizType()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.BizTypeEnum.getEnum(getString("bizType"));
    }
    public void setBizType(com.kingdee.eas.custom.integration.feishu.bizEnum.BizTypeEnum item)
    {
		if (item != null) {
        setString("bizType", item.getValue());
		}
    }
    /**
     * Object: 飞书多语言资源 's 多语言表 property 
     */
    public FeishuI18nResourcesEntryCollection getEntrys()
    {
        return (FeishuI18nResourcesEntryCollection)get("entrys");
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1555C93E");
    }
}